Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Interface EncryptionStrategy

All Superinterfaces:
  Initialisable

All Known Implementing Classes:
  AbstractJCEEncryptionStrategy, AbstractNamedEncryptionStrategy, KeyBasedEncryptionStrategy, MockEncryptionStrategy, PasswordBasedEncryptionStrategy, SecretKeyEncryptionStrategy

    public interface EncryptionStrategy

extends Initialisable

`EncryptionStrategy` can be used to provide different types of Encryption strategy objects. These can be configured with different information relivant with the encryption method being used. for example for Password Based Encryption (PBE) a password, salt, iteration count and algorithm may be set on the strategy.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`byte[]` | `decrypt(byte[] data, Object info)`
`InputStream` | `decrypt(InputStream data, Object info)`
`byte[]` | `encrypt(byte[] data, Object info)`
`InputStream` | `encrypt(InputStream data, Object info)`
`String` | `getName()`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Method Detail

### getName

    String getName()

### encrypt

    InputStream encrypt(InputStream data,
                        Object info)
                        throws CryptoFailureException

  Throws:
    `CryptoFailureException`

### decrypt

    InputStream decrypt(InputStream data,
                        Object info)
                        throws CryptoFailureException

  Throws:
    `CryptoFailureException`

### encrypt

    byte[] encrypt(byte[] data,
                   Object info)
                   throws CryptoFailureException

  Throws:
    `CryptoFailureException`

### decrypt

    byte[] decrypt(byte[] data,
                   Object info)
                   throws CryptoFailureException

  Throws:
    `CryptoFailureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.